Page MenuHomePhabricator

Unnecessary <nowiki> when editing indent-pre with lines starting with '*'
Closed, ResolvedPublic0 Story Points

Description

Unnecessary <nowiki> tags get inserted when editing indent-pre with lines starting with *.

Example page: https://www.mediawiki.org/wiki/User:Seb35/modifyToolbox

  1. Open for editing in VisualEditor
  2. Change something in the first preformatted block, e.g. add or remove a line
  3. Review changes

Effect: all of the lines now begin with <nowiki>*</nowiki> rather than *.

Event Timeline

matmarex created this task.Mar 10 2017, 9:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2017, 9:33 PM

Change 345256 had a related patch set uploaded (by Arlolra):
[mediawiki/services/parsoid@master] T160207: Fix serializing multi-line indent-pre w/ sol wt syntax

https://gerrit.wikimedia.org/r/345256

Arlolra triaged this task as Medium priority.Mar 28 2017, 10:09 PM

Change 345256 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T160207: Fix serializing multi-line indent-pre w/ sol wt syntax

https://gerrit.wikimedia.org/r/345256

Arlolra closed this task as Resolved.Mar 28 2017, 10:32 PM
Arlolra claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 28 2017, 10:32 PM
Jdforrester-WMF set the point value for this task to 0.Mar 29 2017, 2:49 PM
Jdforrester-WMF removed a project: Patch-For-Review.